/* reset */

*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    -moz-text-size-adjust: none;
    -webkit-text-size-adjust: none;
    text-size-adjust: none;
}

body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
    margin-block-end: 0;
}

ul[role='list'],
ol[role='list'] {
    list-style: none;
}

body {
    min-height: 100vh;
    line-height: 1.5;
    padding: 0;
    margin: 0;
}

h1,
h2,
h3,
h4,
button,
input,
label {
    line-height: 1.1;
}

h1,
h2,
h3,
h4 {
    text-wrap: balance;
}

a:not([class]) {
    text-decoration-skip-ink: auto;
    color: currentColor;
}

img,
picture {
    max-width: 100%;
    display: block;
}

input,
button,
textarea,
select {
    font-family: inherit;
    font-size: inherit;
}

textarea:not([rows]) {
    min-height: 10em;
}

:target {
    scroll-margin-block: 5ex;
}

/*style*/

html {
    scroll-behavior: smooth;
    background: white;
    font-size: 16px;
}

body {
    font-size: 1rem;
    font-family: "Noto Sans JP", sans-serif;
    color: #222;
    background: url(/img/bgimg.webp);
}

header {
    width: 100%;

    h1 {
        width: 30%;
        max-width: 140px;
        margin: 0 auto;
        padding: 2rem 0;

        a {
            display: block;

            img {
                width: 100%;
                height: auto;
            }
        }
    }
}

.kv {
    height: 120vh;
    width: 90%;
    max-width: 1000px;
    max-height: 900px;
    margin: 0 auto;
    position: relative;
    overflow: hidden;
    border-radius: 100vmax 100vmax 40px 40px;

    @media screen and (max-width: 768px) {
        height: 60vh;
    }


    img:nth-child(3) {
        width: 100%;
        height: 100%;
        position: static;
        top: 0;
        left: 0;
        object-fit: cover;
        object-position: bottom;
    }

    img:nth-child(1) {
        position: absolute;
        bottom: 0;
        right: 10%;
        width: 70%;
        max-width: 500px;
        height: auto;

        @media screen and (max-width: 768px) {
            right: 5px;
            filter: invert(100%);
        }
    }

    img:nth-child(2) {
        position: absolute;
        bottom: 30%;
        left: 10%;
        width: 20%;
        max-width: 140px;
        height: auto;

        @media screen and (max-width: 768px) {
            bottom: 40%;
            left: 10px;
            filter: invert(100%);
        }
    }
}


.wrap {
    width: 90%;
    max-width: 1000px;
    margin: 8rem auto 0;

    @media screen and (max-width: 768px) {
        margin-top: 6rem;
    }
}


h2 {
    text-align: center;
    font-size: 2.5rem;
    font-family: "Josefin Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
    margin-bottom: 2rem;
}

h3 {
    font-size: 1.4rem;
    font-weight: normal;
    padding-bottom: 1em;

    @media screen and (max-width: 768px) {
        padding-top: 1em;
    }
}

p {
    line-height: 2rem;
    letter-spacing: 0.06em;
    text-align: left;
}

.con1 {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;

    @media screen and (max-width: 768px) {
        display: block;
        width: 100%;
        margin: 0 auto;
    }

    .con1_con {
        display: flex;
        align-items: flex-start;
        justify-content: space-between;

        @media screen and (max-width: 768px) {
            width: 100%;
            display: block;
        }

        div {
            width: 60%;

            @media screen and (max-width: 768px) {
                width: 100%;
                margin-bottom: 6em;
                text-align: center;

                p {
                    text-align: left;
                }
            }
        }

        img {
            width: 36%;
            height: auto;
            border-radius: 14px;
            box-shadow: 60px -60px 0px 0px rgba(193, 224, 228, .5);
            display: block;

            @media screen and (max-width: 768px) {
                width: 100%;
            }
        }
    }

    .con1_img1 {
        width: 50%;
        height: auto;
        border-radius: 14px;
        float: left;
        margin-bottom: 6rem;

        @media screen and (max-width: 768px) {
            display: none;
        }
    }

    .con1_img2 {
        width: 9%;
        height: auto;
        margin-right: 20%;

        @media screen and (max-width: 768px) {
            width: 24%;
            margin: 0 auto 4rem;
        }
    }

}


.con2_img {
    width: 34%;
    height: auto;
    border-radius: 14px;
    box-shadow: 60px -60px 0px 0px rgba(193, 224, 228, .5);
    margin-left: auto;
    display: block;

    @media screen and (max-width: 768px) {
        width: 100%;
        margin-top: 4rem;
    }
}

.cmn_con {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;

    @media screen and (max-width: 768px) {
        display: block;
    }

    img {
        width: 30%;
        height: auto;
        border-radius: 14px;
        box-shadow: -60px -60px 0px 0px rgba(193, 224, 228, .5);

        @media screen and (max-width: 768px) {
            width: 100%;
        }
    }

    div {
        width: 60%;

        @media screen and (max-width: 768px) {
            width: 100%;
            text-align: center;

            p {
                text-align: left;
            }
        }
    }

}

.cmn_btn1 {
    display: inline-block;
    background: #C1E0E4;
    border-bottom: 3px solid #9ec3c8;
    border-right: 2px solid #9ec3c8;
    padding: .5em 2em;
    border-radius: 100vmax;
    text-decoration: none;
    margin-top: 2em;
    color: #222;

    &:hover {
        @media (hover: hover) {
            border: none;
            border-top: 2px solid #9ec3c8;
            border-left: 3px solid #9ec3c8;
            border-bottom: 1px solid #C1E0E4;
            opacity: .8;
        }
    }
}


.cmn_btn2 {
    color: #222;
    background: #C1E0E4;
    border-bottom: 3px solid #9ec3c8;
    border-right: 2px solid #9ec3c8;
    display: inline-block;
    padding: 1em 2em;
    border-radius: 100vmax;
    text-decoration: none;
    margin-top: 2em;
    font-size: 10px;
    text-align: center;
    line-height: 1em;

    svg {
        width: 24px;
        height: auto;
        margin: 0 auto;
        fill: #222;
    }

    &:hover {
        @media (hover: hover) {
            border: none;
            border-top: 2px solid #9ec3c8;
            border-left: 3px solid #9ec3c8;
            border-bottom: 1px solid #C1E0E4;
            opacity: .8;
        }
    }
}

.btm_btn {
    background: #C1E0E4;
    width: 100px;
    height: 100px;
    border-radius: 100vmax;
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    bottom: 50px;
    right: 50px;
    text-decoration: none;
    color:#222;
    border-bottom: 3px solid #9ec3c8;
    border-right: 2px solid #9ec3c8;

    @media screen and (max-width: 768px) {
        bottom: 20px;
        right: 20px;
        font-size: 1rem;
    }
    &:hover {
        @media (hover: hover) {
            border: none;
            border-top: 2px solid #9ec3c8;
            border-left: 3px solid #9ec3c8;
            border-bottom: 1px solid #C1E0E4;
            opacity: .8;
        }
    }

}

.btm_btn .ring {
    background: #C1E0E4;
    position: absolute;
    z-index: -1;
    border-radius: 100vmax;
    height: 50px;
    width: 50px;
    top: 25px;
    left: 25px;
    animation: pulsate 2s ease-out infinite;

    @media screen and (max-width: 768px) {
        height: 40px;
        width: 40px;
        top: 30px;
        left: 30px;
    }
}

@keyframes pulsate {
    0% {
        transform: scale(1, 1);
        opacity: 1;
    }

    100% {
        transform: scale(4, 4);
        opacity: 0;
    }
}


.mb {
    margin-bottom: 4rem
}


.maps {
    width: 100%;
    height: 500px;
    margin: 0px auto 40px;
    position: relative;
    overflow: hidden;
    border-radius: 14px;

    iframe {
        width: 100%;
        height: 100%;
    }
}

.map_txt {
    text-align: center;
}

.qa_ttl {
    font-size: 1.3rem;
}

.copyright {
    padding: 2rem 0;
    text-align: center;
    font-size: 12px;
    background: #fff;
}


.scroll_infinity_wrap {
    display: flex;
    overflow: hidden;
}

.scroll_infinity_list {
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
}

.scroll_infinity_list_left {
    animation: infinity_scroll_left 60s infinite linear 0.5s both;
}

@keyframes infinity_scroll_left {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-100%);
    }
}

.scroll_infinity_list_right {
    animation: infinity_scroll_right 60s infinite linear 0.5s both;
}

@keyframes infinity_scroll_right {
    from {
        transform: translateX(-100%);
    }

    to {
        transform: translateX(0);
    }
}

.scroll_infinity_item {
    width: calc(100vw / 2.5);

    @media screen and (max-width: 768px) {
        width: calc(100vw / 2);
    }
}

.scroll_infinity_item img {
    width: 100%;
    height: auto;
}

.menu_openarea {
    width: 100%;
    height: 100%;
    padding: 100px 40px 40px;
    bottom: 0px;
    left: 0px;
    position: fixed;
    background: url(/img/bgimg.webp);
    display: none;
    z-index: 1;
    animation: fadeInAnime 0.2s alternate ease-in-out;

    @media screen and (max-width: 768px) {
        padding: 100px 20px 40px;

    }
}


@keyframes fadeInAnime {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.menu_openarea.open {
    display: block;
    z-index: 999;
    overflow: auto;
}


.toggle_menu ul li {
    margin-bottom: 20px;
    animation: 1s fadeup_li ease-in-out forwards;
    font-family: "Josefin Sans", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
}

@keyframes fadeup_li {
    0% {
        opacity: 0;
        transform: translateY(60px);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}


.toggle_menu ul li a {
    color: #222;
    font-size: 2rem;
    line-height: 1;
    letter-spacing: 0.06em;
    font-weight: 500;
    display: block;
    transition: all 0.3s ease 0s;
    text-decoration: none;
}

.toggle {
    width: 30px;
    height: 30px;
    top: 35px;
    right: 30px;
    position: fixed;
    z-index: 99999999;
    transition: all 0.3s ease 0s;
    visibility: visible !important;
}

#toggle_btn {
    width: 30px;
    height: 30px;
    display: inline-block;
    cursor: pointer;
    transition: all 0.3s ease 0s;
}

#toggle_btn-icon::before,
#toggle_btn-icon::after {
    width: 30px;
    height: 3px;
    background-color: #333;
    top: 50%;
    left: 0px;
    display: block;
    position: absolute;
    content: "";
    transition: all 0.3s ease 0s;
    border-radius: 99999px;
}

#toggle_btn-icon::before {
    margin-top: -6px;
}

#toggle_btn-icon::after {
    margin-top: 3px;
}

#toggle_btn .close {
    background: transparent;
}

#toggle_btn .close::before,
#toggle_btn .close::after {
    margin-top: 0px;
    background-color: #333;
}

#toggle_btn .close::before {
    -webkit-transform: rotate(-35deg);
    -ms-transform: rotate(-35deg);
    transform: rotate(-35deg);
}

#toggle_btn .close::after {
    -webkit-transform: rotate(-145deg);
    -ms-transform: rotate(-145deg);
    transform: rotate(-145deg);
}

#toggle_btn:hover #toggle_btn-icon::before {
    margin-top: -5px;
}

#toggle_btn:hover #toggle_btn-icon::after {
    margin-top: 2px;
}

#toggle_btn:hover #toggle_btn-icon.close::before {
    margin-top: 0px;
}

#toggle_btn:hover #toggle_btn-icon.close::after {
    margin-top: 0px;
}